org.ajax4jsf.io

## Class FastBufferInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.ajax4jsf.io.FastBufferInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class FastBufferInputStream
      extends InputStream

  Class for reading from a byte array chain.
  Author:
    glory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastBufferInputStream(ByteBuffer byteBuffer)`
    `FastBufferInputStream(FastBufferOutputStream stream)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `mark(int readAheadLimit)`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `reset()`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.InputStream

      `close, markSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastBufferInputStream

          public FastBufferInputStream(ByteBuffer byteBuffer)

    - #### FastBufferInputStream

          @Deprecated
          public FastBufferInputStream(FastBufferOutputStream stream)

      Deprecated.
      Creates instance of FastBufferInputStream.
      Parameters:
        `stream` -

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.read()`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.read(byte [])`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.read(byte [], int, int)`

    - #### available

          public int available()
                        throws IOException

      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.available()`

    - #### mark

          public void mark(int readAheadLimit)

      Overrides:
        `mark` in class `InputStream`
      See Also:
        `InputStream.mark(int)`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `InputStream`
      See Also:
        `InputStream.reset()`

    - #### skip

          public long skip(long n)
                    throws IOException

      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.skip(long)`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.